# Huaxin-admin

基于 vite5.x + vue3.x + antd-design-vue4.x + typescript5.x

- 账号：admin，密码：a123456
- [swagger 文档](http://localhost:7001/api-docs/)

## 技术要求

- [Vue](https://cn.vuejs.org/)
- [Ant desgin](https://www.antdv.com/components/overview-cn)
- [TypeScript](https://www.tslang.cn/index.html)
- [Nestjs](https://docs.nestjs.cn/8/)
- [TypeORM](https://typeorm.biunav.com/)
- Mysql
- Redis

## 技术选型

1. **前端技术**

- vue3
- ant design
- axios
- pinia
- vue-router @3.4.9
- less-loader @10.1.1

2. **后端技术**

- nest
- mysql2
- swagger-ui-express
- typeorm
- ioredis

## 安装使用

- 安装依赖

```bash
pnpm install
```

- 运行

```bash
pnpm dev
```

- 打包

```bash
pnpm build
```

## Git 贡献提交规范

```bash
yarn c
```

- 参考 [vue](https://github.com/vuejs/vue/blob/dev/.github/COMMIT_CONVENTION.md) 规范 ([Angular](https://github.com/conventional-changelog/conventional-changelog/tree/master/packages/conventional-changelog-angular))

  - `feat` 增加新功能
  - `fix` 修复问题/BUG
  - `style` 代码风格相关无影响运行结果的
  - `perf` 优化/性能提升
  - `refactor` 重构
  - `revert` 撤销修改
  - `test` 测试相关
  - `docs` 文档/注释
  - `chore` 依赖更新/脚手架配置修改等
  - `workflow` 工作流改进
  - `ci` 持续集成
  - `types` 类型定义文件更改
  - `wip` 开发中
